
QGIS Application - Bug report #11197

Poor (or non) performance when moving features

2014-09-12 12:19 PM - Gary Sherman

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.4.0 Regression?: No

Operating System: ALL Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19508

Description

QGIS 2.4 and master exhibit extremely poor performance (or total failure) when moving a moderate number of features in edit mode. I

have tested with 5,000 random points:

1. load the layer (both shapefile and memory layer were tested)

2. enter edit mode

3. select a lot of features (~5,000)

4. zoom out

5. move the selected block to a new location

In my testing on Windows, Mac, and Linux, this process takes longer than I am willing to wait and in fact may never finish.

Currently I have a move attempt that is 15 minute and counting with QGIS locked up and the CPU usage at 99% (Linux, QGIS master).

To duplicate you can use the Vector->Random Points feature to create a test layer.

Associated revisions

Revision 68c49fe0 - 2014-09-22 12:30 PM - Matthias Kuhn

Fix performance issues with moving selection on canvas (Funded by good will)

Fix #11197

History

#1 - 2014-09-15 10:47 AM - Gary Sherman

Any thoughts on this issue?

#2 - 2014-09-22 03:31 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"68c49fe09a4ee634d7edc3f2019e1740971ce3ca".

#3 - 2014-09-22 06:44 AM - Gary Sherman

Thank you good will ;)
